SmartMemory
POST
/memory/decisions/{decision_id}/retract

Retract a decision (mark as no longer valid).

Authorization

AuthorizationBearer <token>

Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).

In: header

Path Parameters

decision_id*Decision Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to retract a decision.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/memory/decisions/string/retract" \  -H "Content-Type: application/json" \  -d '{    "reason": "string"  }'
null
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}